kernel-wedge (2.102) unstable; urgency=medium

  * debian/tests: Correct expected exit code for preprocess missingdir case
  * preprocess: Return 2 for usage errors, 1 for all other errors
  * preprocess: Make wildcard directory check honour $KW_CHECK_NONFATAL
    (Closes: #826952)
  * install-files: Allow "-unsigned" suffix on Linux package directory names

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 30 Nov 2019 23:40:56 +0000

kernel-wedge (2.101) unstable; urgency=medium

  * debian/tests: preprocess depends on gcc to avoid dpkg-architecture warnings
    (Closes: #945772)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 29 Nov 2019 18:15:16 +0000

kernel-wedge (2.100) unstable; urgency=medium

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

  [ Ben Hutchings ]
  * preprocess: Fix handling of wildcards with no directory part
  * preprocess: Only read the modules directory tree once
  * copy-modules, preprocess: Move all module filename lookup into preprocess
  * preprocess: Treat '-' and '_' as equivalent in Linux module names
  * Remove strip-modules, which has never done anything useful
  * preprocess: Remove support for modules with a '.o' extension
  * preprocess: Move flag parsing out of find_modules()
  * debian/tests: Add test cases for preprocess
  * preprocess: Correct "excludes and excludes" in help text
  * Remove mass-build, which is no longer useful
  * kernel-wedge(1): Update reference to README file
  * kernel-wedge(1): Remove Joey Hess's email address
  * kernel-wedge(1): Fix title
  * kernel-wedge(1): Fix style errors
  * Create source subdirectory for manual pages
  * Convert help text into manual pages
  * help: Invoke man instead of looking for plain text files
  * Change command list to not look for help text
  * Add lintian override for "binary-package-depends-on-toolchain-package
    depends: debhelper […]"
  * debian/control: Bump Standards-Version to 4.4.1; no changes needed
  * debian/control: Set Rules-Requires-Root: no
  * debian/copyright: Convert to machine-readable format
  * debian/copyright: Add myself to copyright holders

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927551)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Nov 2019 21:38:25 +0000

kernel-wedge (2.99) unstable; urgency=medium

  * gen-control: Cleanly separate template and override control fields
  * Refactor gen-control to put general config handling functions in a module
  * gen-deps: Use common module to parse and iterate over package-list file
  * Explicitly support merging of default-config and config directories

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 Sep 2018 21:11:15 +0100

kernel-wedge (2.98) unstable; urgency=medium

  * debian/docs: Install README.md, not README

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 30 Aug 2018 18:26:44 +0100

kernel-wedge (2.97) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Ben Hutchings ]
  * install-files: Drop check for Linux kernel package in a "kernel-image" dir
  * install-files: Replace symlinks into linux-bootwrapper package with files
  * Move explanation of gen-control configuration from README to online help
  * README: Convert to Markdown format and rename accordingly
  * README.md: Rewrite to describe usage in a kernel source package

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 30 Aug 2018 18:14:28 +0100

kernel-wedge (2.96) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix “strength” typo in kernel-wedge manpage, thanks to victory.

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Jan 2017 08:01:17 +0100

kernel-wedge (2.95) unstable; urgency=medium

  * Drop Otavio Salvador from Uploaders. Thank you for your work
    within the D-I team. Closes: #847259

 -- Christian Perrier <bubulle@debian.org>  Wed, 07 Dec 2016 07:49:24 +0100

kernel-wedge (2.94) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * avoid installing package-list and modules which causes build issues when
    doing Jessie stable backport

  [ Ben Hutchings ]
  * gen-control,gen-deps,preprocess: Fail early if $KW_DEFCONFIG_DIR is not
    defined, since there is no longer a fallback available. Update README
    accordingly.

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Mar 2016 21:29:40 +0100

kernel-wedge (2.93) unstable; urgency=medium

  * preprocess: Simplify parsing by trimming whitespace first
  * copy-modules, preprocess: Move handling of dash prefix to preprocess
  * preprocess: Only require existence of wildcard's containing directory
    if it's a non-optional inclusion

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 17 Feb 2016 17:36:11 +0000

kernel-wedge (2.92) unstable; urgency=medium

  * Remove unused configuration files (modules/**, package-list)
  * Remove obsolete items from the TODO list
  * copy-modules, preprocess: Add support for wildcards in module lists
  * copy-modules: Check for failure of preprocess

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 15 Feb 2016 03:07:30 +0000

kernel-wedge (2.91) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Feb 2016 19:06:26 +0100

kernel-wedge (2.90) unstable; urgency=medium

  [ Aurelien Jarno ]
  * copy-modules: Add a trailing slash to the find command searching for
    modules list. It allows the use of symlinks by looking at the content of
    the directory they are pointing to instead of the symlinks themselves.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Sep 2014 23:23:31 +0200

kernel-wedge (2.89) unstable; urgency=medium

  [ Ben Hutchings ]
  * debian/control: Set Multi-Arch: foreign to support cross-building
    of linux (Closes: #745555)

 -- Cyril Brulebois <kibi@debian.org>  Tue, 22 Apr 2014 22:25:58 +0200

kernel-wedge (2.88) unstable; urgency=low

  [ Robert Millan ]
  * Add trailing slash in copy-modules to avoid breakage with symlinks.

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Sep 2013 07:12:05 +0200

kernel-wedge (2.87) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 12:50:35 +0200

kernel-wedge (2.86) unstable; urgency=low

  * Team upload

  [ Guillem Jover ]
  * Use 'Package-Type' and 'Kernel-Version' in generated udebs
    Closes: #706571

  [ Christian Perrier ]
  * Bump Standards-Version to 3.9.4; no changes needed.

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 19:10:58 +0200

kernel-wedge (2.85) unstable; urgency=low

  * gen-deps: Ignore dependencies in default package-list that are
    overridden by the architecture package-list (Closes: #678587)
  * find-unpackaged: New sub-command lists modules not packaged in a udeb
  * install-files: Call find-unpackaged
  * install-files: Include modules.{builtin,order} in Linux kernel-image udebs

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 05 Nov 2012 03:41:02 +0000

kernel-wedge (2.84) unstable; urgency=low

  [ Joey Hess ]
  * Removed all the linux module list files. These have moved to the
    linux-2.6 source package (see debian/installer/ there).
    Closes: #651439

  [ Ben Hutchings ]
  * copy-modules: Skip Linux modules that are really built-in

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 03 Jun 2012 01:42:31 +0100

kernel-wedge (2.83) unstable; urgency=low

  [ Aurelien Jarno ]
  * package-list: fix a typo in the description of virtio-modules.

  [ Ben Hutchings ]
  * gen-control, gen-deps, preprocess: Allow directory for default
    configuration files to be overridden by KW_DEFCONFIG_DIR
  * copy-modules: Return 0 if modules are missing but KW_CHECK_NONFATAL
    is set

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 03 Dec 2011 02:24:30 +0000

kernel-wedge (2.82) unstable; urgency=low

  [ Robert Millan ]
  * Acknowledge my own NMU (see bug #633561):
    - Stop considering acpi.ko as part of the kernel for kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Oct 2011 18:31:41 +0100

kernel-wedge (2.81) unstable; urgency=low

  [ Joey Hess ]
  * gen-deps: Fix a place that KW_CONFIG_DIR was not used.

  [ Ben Hutchings ]
  * find-dups: Fix another place that KW_CONFIG_DIR was not used
  * check, find-dups: Return 0 if KW_CHECK_NONFATAL is set, for use in
    experimental kernel uploads

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 01 Oct 2011 16:17:41 +0100

kernel-wedge (2.80) unstable; urgency=low

  * Set 'join' output format for module dependencies and exclusions,
    for compatibility with coreutils 8.13
  * Fix bugs in support for use in kernel source packages:
    - Set $PATH for depmod
    - Strip unwanted output from depmod -n
  * Add myself to Uploaders

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 25 Sep 2011 22:49:41 +0100

kernel-wedge (2.79) unstable; urgency=low

  [ Otavio Salvador ]
  * add vmw_pvscsi and vmxnet3 kernels to nic and scsi packages to
    support VMWare. Closes: #635478.

  [ Samuel Thibault ]
  * sound-modules: Update to 3.0.

  [ Ben Hutchings ]
  * Allow kernel source packages to use kernel-wedge on themselves
  * Allow kernel ABI version to be specified as command-line argument
  * Allow configuration files to be placed in a subdirectory

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Sep 2011 13:26:56 -0400

kernel-wedge (2.78) unstable; urgency=low

  [ dann frazier ]
  * scsi-extra-modules: add hpsa
  * scsi-extra-modules: add pm8001
  * nic-extra-modules: add bna

  [ Otavio Salvador ]
  * scsi-modules: add iscsi-tcp and iscsi-ibft
  * input-modules: add wistron_btns. Closes: #612111.
  * nic-wireless-modules: add brcmsmac. Closes: #628975

 -- Otavio Salvador <otavio@debian.org>  Sat, 23 Jul 2011 18:48:03 +0200

kernel-wedge (2.77) unstable; urgency=low

  [ Samuel Thibault ]
  * sound-modules: Update to 2.6.39. Remove snd-aloop, which is a mere
    loopback.

  [ Colin Watson ]
  * Switch from dh_clean -k to dh_prep.

  [ Otavio Salvador ]
  * btrfs-modules: depends on lzo-modules
  * jffs2-modules: depends on lzo-modules
  * nls-core-modules: remove as it is built-in since 2.6.39
  * sound-modules: depends on firewire-core-modules and crc-modules

 -- Otavio Salvador <otavio@debian.org>  Sat, 18 Jun 2011 21:52:57 -0300

kernel-wedge (2.76) unstable; urgency=low

  [ Samuel Thibault ]
  * sound-modules: Update to 2.6.37.

  [ Otavio Salvador ]
  * lzo-modules: add.

 -- Otavio Salvador <otavio@debian.org>  Sun, 15 May 2011 17:40:45 -0300

kernel-wedge (2.75) unstable; urgency=low

  * Updating the version due a mistaken upload to unstable of a release
    that was target to stable.

 -- Otavio Salvador <otavio@debian.org>  Tue, 08 Mar 2011 16:06:51 -0300

kernel-wedge (2.74) unstable; urgency=low

  [ Miguel Figueiredo ]
  * usb-modules: xhci module (usb3 support). Closes #601249.
  * nic-wireless-modules: added ralink wireless drivers, thanks to Mike
    Miller. Closes: #604176.
  * mmc-modules: sdhci_pci. Closes: #558036.
  * Add support for Cherry keyboards (hid-cherry on input-modules).
    Closes: #584973.

  [ Joey Hess ]
  * build-arch: Pass -I to dpkg-buildpackage without arguments to take
    advantage of its built-in list of all version control gunk to ignore.

  [ Otavio Salvador ]
  * nic-pcmcia-modules: make netwave_cs and wavelan_cs optional
  * crypto-modules: replace twofish with twofish_generic
  * nic-wireless-modules: replace orinoco_pci with hostap_pci
  * pcmcia-storage-modules: make ide-cs optional
  * serial-modules: add synclink_cs
  * nic-extra-modules: add 3c359
  * ppp-modules: depends on crc-modules
  * scsi-modules: make qla1280 optional

 -- Otavio Salvador <otavio@debian.org>  Sat, 19 Feb 2011 21:01:14 -0200

kernel-wedge (2.73) unstable; urgency=low

  [ Otavio Salvador ]
  * ata-modules: force inclusion of ata_generic. Closes: #600305.

  [ Aurelien Jarno ]
  * modules/kfreebsd: mark modules disabled due to firmware issues as
    optional. Closes: #607629.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Dec 2010 13:35:35 +0100

kernel-wedge (2.72) unstable; urgency=low

  [ dann frazier ]
  * nic-extra-modules: add qlcnic.

 -- Otavio Salvador <otavio@debian.org>  Wed, 08 Dec 2010 17:46:52 -0200

kernel-wedge (2.71) unstable; urgency=low

  * input-modules: add hid-sunplus. Closes: #603318.

 -- Otavio Salvador <otavio@debian.org>  Sat, 13 Nov 2010 09:42:51 -0200

kernel-wedge (2.70) unstable; urgency=low

  * input-modules: include hid-monterey. Thanks to Miguel Figueiredo
    <elmig@debianpt.org> for the patch. Closes: #588742.

 -- Otavio Salvador <otavio@debian.org>  Mon, 01 Nov 2010 17:56:26 -0200

kernel-wedge (2.69) unstable; urgency=low

  * crc-modules: add crc32c that is required by btrfs. Closes: #598978.

 -- Otavio Salvador <otavio@debian.org>  Wed, 13 Oct 2010 23:18:12 -0300

kernel-wedge (2.68) unstable; urgency=low

  * linux: add phy drivers into nic-extra-modules. Closes: #595914, #599213.
  * ata-modules: include ata-generic if it exists. Refs: #571035.

 -- Otavio Salvador <otavio@debian.org>  Wed, 13 Oct 2010 15:28:10 -0300

kernel-wedge (2.67) unstable; urgency=low

  * Change nullfs-modules to priority standard as it is always needed
    during CD-ROM installation on GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Aug 2010 11:40:45 +0200

kernel-wedge (2.66) unstable; urgency=low

  * nullfs-modules: add.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 02:03:49 +0200

kernel-wedge (2.65) unstable; urgency=low

  [ Otavio Salvador ]
  * nic-usb-modules: add g_ether module. Closes: #591433.

  [ Martin Michlmayr ]
  * usb-storage-modules: Add ums-* usb storage modules. Closes: 592005.

  [ Aurelien Jarno ]
  * Update modules list for kfreebsd 8.1.
  * zfs-modules: add.
  * fix dependencies on kfreebsd.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 13 Aug 2010 14:49:06 +0200

kernel-wedge (2.64) unstable; urgency=low

  [ Otavio Salvador ]
  * nic-extra-modules: add bnx2x.

  [ Aurelien Jarno ]
  * Create an empty deps file on !linux.

  [ Samuel Thibault ]
  * Update sound modules for 2.6.32.

  [ Otavio Salvador ]
  * btrfs-modules: add.
  * crc-modules: add libcrc32c since it is required by nic-extra-modules
    and btrfs-modules.
  * zlib-modules: add since zlib_deflate is required by jffs2-modules,
    ppp-modules and btrfs-modules.

  [ Martin Michlmayr ]
  * nic-extra-modules: include inet_lro which is no longer built-in and
    is required by myri10ge and enic.
  * event-modules: split evdev into its own udeb.

 -- Otavio Salvador <otavio@debian.org>  Mon, 19 Jul 2010 09:49:40 -0300

kernel-wedge (2.63) unstable; urgency=low

  [ Frans Pop ]
  * Updates for 2.6.32.
    - Add dependency on nls-core-modules to usb-modules.
    - Add dependency on usb-modules to sound-modules.
    - New udeb for basic i2c modules. Currently only contains i2c-core, which
      is needed by nic-extra and sound on amd64.
  * Cleanup; reduces compatibility with old kernel versions.
    - Drop generic modules that have been renamed or no longer exist. And
      remove the "optional" indicator for some of the replacement modules.
    - Drop no longer used udebs isa-pnp-modules and socket-modules.
    - Drop the cdrom-modules udeb for linux. No architecture kernel provides
      any of the modules listed in it any more.
    - Drop various obsolete modules:
      - ide-modules: adma100, hpt34x, ataraid, hptraid, medley, pdcraid, silraid
      - multipath-modules: dm-emc
      - nic-extra-modules: eepro100, sk98lin, dgrs, arl1
      - nic-pcmcia-modules: xircom_tulip_cb
      - nic-wireless-modules: bcm43xx, iwl4965
      - sata-modules: carmel
      - scsi-modules: NCR53C9x, eata_pio, mca_53c9x, psi240i, qlogicfc,
        qla2100, qla2200, qla2300, qla2322, qla6312, qlogicisp
      - usb-serial-modules: whiteheat, cp2101
  * core-modules: drop firmware_class as it's compiled in for recent kernels.
  * Define standard input-modules and mouse-modules. For input-modules add
    selected modules with vendor-specific hid quirks needed to support some
    keyboards (see e.g. #561036). Closes: #567431.
  * Change priority of reiserfs-modules from standard to extra.
  * Add mmc-core-modules udeb as the b44 driver in nic-pcmcia-modules has a
    dependency on mmc_core (because of Sonics Silicon Backplane support).

  [ Frederik Schüler ]
  * Add mpt2sas module to scsi-extra-modules.
  * Add 3w-sas module to scsi-extra-modules.

  [ Otavio Salvador ]
  * Bump Standards-Version; no changes needed.
  * net-wireless-modules: add b43. Closes: #547731.
  * debian/control: add ${misc:Depends}.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Feb 2010 12:13:01 -0300

kernel-wedge (2.62) unstable; urgency=low

  [ Colin Watson ]
  * In case of error, try to list more failures before bailing out.
    Requested by Tim Gardner (LP: #410221).
  * Upgrade to debhelper v7.

  [ Aurelien Jarno ]
  * On kfreebsd-i386, consider acpi.ko as part of the kernel as it has
    to be loaded by the bootloader.
  * Rework all kfreebsd modules.
  * Change "Linux kernel" into "kernel" in the descriptions so that they
    can be used on kFreeBSD too.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Aug 2009 19:43:55 +0200

kernel-wedge (2.61) unstable; urgency=low

  * package-list: drop atl2-modules areen't used anymore.
  * nic-extra-modules: add atl1c and atl2 modules.

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Jul 2009 08:55:05 -0300

kernel-wedge (2.60) unstable; urgency=low

  * ppp-modules, isofs-modules, jffs2-module, squashfs-modules: do not
    depends on zlib-modules anymore since it is built-in in most
    architectures.
  * zlib-modules: droped since no package in official architecture uses
    it anymore.

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Jul 2009 08:06:43 -0300

kernel-wedge (2.59) unstable; urgency=low

  [ Samuel Thibault ]
  * sound-modules: Add 2.6.30 modules.

  [ Luca Favatella ]
  * Add ntfs-modules on kFreeBSD.

  [ Otavio Salvador ]
  * nic-wireless-modules: hermes is now optional.

 -- Otavio Salvador <otavio@debian.org>  Mon, 20 Jul 2009 11:23:44 -0300

kernel-wedge (2.58) unstable; urgency=low

  * ext4-modules: depends on core-modules.

 -- Otavio Salvador <otavio@debian.org>  Sat, 09 May 2009 20:37:22 -0300

kernel-wedge (2.57) unstable; urgency=low

  * ext4-modules: add package description.

 -- Otavio Salvador <otavio@debian.org>  Thu, 23 Apr 2009 17:50:55 -0300

kernel-wedge (2.56) unstable; urgency=low

  * squashfs-modules: depends on zlib-modules.

 -- Otavio Salvador <otavio@debian.org>  Tue, 21 Apr 2009 17:43:10 -0300

kernel-wedge (2.55) unstable; urgency=low

  [ Samuel Thibault ]
  * Add sound-modules. Closes: #524531.

 -- Otavio Salvador <otavio@debian.org>  Tue, 21 Apr 2009 14:19:42 -0300

kernel-wedge (2.54) unstable; urgency=low

  [ Colin Watson ]
  * Add ext4-modules.

  [ Otavio Salvador ]
  * core-modules: firmware_class is no longer available.
  * nic-extra-modules: remove duplicated acenic entry.
  * scsi-core-modules: add scsi_dh.
  * multipath-modules: depends on scsi-core-modules since it uses scsi_dh.
  * crypto-core-modules: dropped.
  * Update standards version to 3.8.1.
  * atl2-modules: dropped since they're available on 2.6.29.

  [ Martin Michlmayr ]
  * ide-modules: Include ide-gd_mod (for ATA/ATAPI disks and floppy;
    ide-disk got renamed.)

  [ Kenshi Muto ]
  * nic-extra-modules: make eepro100 optional.
                       add jme, enic, be2net, myri10ge, sc92031.
  * nic-wireless-modules: add ath9k, iwlagn.
  * nic-usb-modules: add rtl8187.
  * core-modules: add led-class.
  * mmc-modules: depends on core-modules.

  [ Ian Campbell ]
  * Add Xen disk and network modules.

 -- Otavio Salvador <otavio@debian.org>  Sat, 11 Apr 2009 15:24:17 -0300

kernel-wedge (2.53) unstable; urgency=low

  [ Samuel Thibault ]
  * Add uinput-modules.

 -- Otavio Salvador <otavio@debian.org>  Tue, 18 Nov 2008 01:12:15 -0200

kernel-wedge (2.52) unstable; urgency=low

  [ Frans Pop ]
  * Add mmc-modules udeb to support MMC and SD cards.

 -- Otavio Salvador <otavio@debian.org>  Mon, 29 Sep 2008 19:32:28 -0300

kernel-wedge (2.51) unstable; urgency=low

  * Move pata-sis to sata-modules since sata-sis depends on pata-sis and
    we wouldn't like to handle that dependency change so late on release

 -- Otavio Salvador <otavio@debian.org>  Sat, 13 Sep 2008 14:17:24 -0300

kernel-wedge (2.50) unstable; urgency=low

  * Add it8213 to ide-modules. Closes: #496644.

 -- Otavio Salvador <otavio@debian.org>  Fri, 29 Aug 2008 22:19:24 -0300

kernel-wedge (2.49) unstable; urgency=low

  * Add atl2 modules. Closes: #490354.
  * Add pata-sch to pata-modules.
  * Move sata-sis from pata-modules to sata-modules (uh?).
  * Add acenic, atl1e and sfc to nic-extra-modules.
  * Add spcp8x5 to usb-serial-modules.
  * Replace rtc with rtc-cmos on rtc-modules.

 -- Otavio Salvador <otavio@debian.org>  Wed, 13 Aug 2008 12:35:59 -0300

kernel-wedge (2.48) unstable; urgency=low

  * Add raid10 to md-modules.

 -- Otavio Salvador <otavio@debian.org>  Thu, 31 Jul 2008 18:15:42 -0300

kernel-wedge (2.47) unstable; urgency=low

  * Remove nls_iso8859-1 module, add nls_utf8. The latter is the new default
    for fat on 2.6.25. Closes: #490562

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Jul 2008 13:17:37 -0400

kernel-wedge (2.46) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add virtio-modules package used to improve I/O when run inside a
    compatible emulator.

  [ Ian Campbell ]
  * Make generic_serial optional to allow 686-bigmem udebs.

  [ Frans Pop ]
  * Apply patch from Per Andersson to add a jffs2 modules udeb.
  * Update standards version to 3.8.0.

 -- Frans Pop <fjp@debian.org>  Sun, 20 Jul 2008 15:00:50 +0200

kernel-wedge (2.45) unstable; urgency=low

  [ Frans Pop ]
  * Updates for 2.6.25.
  * scsi-modules: atp870u is no longer available.
  * crypto-core-modules: blkcipher has been renamed to crypto_blkcipher.
  * Move the dm-crypt module from md-modules to a new udeb crypto-dm-modules
    to avoid having md-modules depend on crypto-core-modules; dependencies on
    crypto-core-modules are now defined in kernel-wedge.
  * Move the isofs module from ide-modules to a new udeb isofs-modules because
    of its dependency on the new nls_base module; let cdrom-core-modules
    depend on isofs-modules.
  * Add an nls-core-modules udeb for the nls_base module. All nls_* modules
    and several filesystem modules depend on it.

  [ Otavio Salvador ]
  * cdrom-core-modules: add ide-cd_mod since it replaces ide-cd now.
  * nic-extra-modules: add enc28j60, igb and r6040.
  * nic-usb-modules: add rndis_wlan and rtl8180.
  * scsi-extra-modules: add mvsas.
  * speakup-modules: created. Thanks to Samuel Thibault
    <samuel.thibault@ens-lyon.org> for the patch. Closes: #479227.
  * nic-wireless-modules: add iwl3945 and iwl4965 since we now support
    firmware loading during installation process. Thanks to Glenn Saberton
    <gsaberton@foomagic.org> for the patch. Closes: #485440.
  * Add myself as uploader.

 -- Otavio Salvador <otavio@debian.org>  Wed, 02 Jul 2008 15:12:44 -0300

kernel-wedge (2.44) unstable; urgency=low

  [ Otavio Salvador ]
  * Add rt2500pci, rt2400pci and rt2500usb to nic-wireless-modules.

  [ Frans Pop ]
  * Including 'loop-aes' instead of 'loop' in loop-aes-modules as required
    with linux-modules-extra packaging of loop-aes-modules.

 -- Frans Pop <fjp@debian.org>  Thu, 10 Apr 2008 15:07:00 +0200

kernel-wedge (2.43) unstable; urgency=low

  * Add new Atheros wireless module (ath5k) to nic-wireless-modules.
  * Move ecb from crypto-modules to nic-wireless-modules (and fix typo: ebc
    should be ecb), and add arc4 to nic-wireless-modules. These crypto modules
    are only relevant for WEP. Closes: #448393.
  * Split blkcipher out into separate crypto-core-modules as it is needed for
    both wireless and other crypto usage.

 -- Frans Pop <fjp@debian.org>  Mon, 07 Apr 2008 18:15:42 +0200

kernel-wedge (2.42) unstable; urgency=low

  [ Otavio Salvador ]
  * Replace dpt_i2o with i2o_block to avoid diverting from installed
    system with regard to RAID with Adaptec 2100S. Closes: #440161.
  * Add ipg, niu, ixgbe, e1000e, sky2 and skge to nic-extra-modules.
    Closes: #469143
  * Move b44 to nic-pcmcia-modules.
  * Add zlib-modules udeb to provide zlib_inflate to ide and ppp
    modules.
  * Add p54pci and p54usb to nic-wireless-modules.

  [ Stephen R. Marenka ]
  * add aes_generic, make aes optional to accommodate 2.6.24.
  * add sha256_generic, make sha256 optional to accommodate 2.6.24.
  * make ppp_async and ppp_synctty optional to accommodate m68k/mac.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 24 Mar 2008 13:52:43 -0300

kernel-wedge (2.41) unstable; urgency=low

  * Add dependency of usb-modules on nic-wireless

 -- Otavio Salvador <otavio@debian.org>  Mon, 01 Oct 2007 14:01:05 -0300

kernel-wedge (2.40) unstable; urgency=low

  * Correct multipath-modules.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Sep 2007 18:04:53 -0400

kernel-wedge (2.39) unstable; urgency=low

  [ Joey Hess ]
  * Add rtc-modules.

  [ Otavio Salvador ]
  * Add atl1 to nic-extra-modules;
  * Add sata_inic162x to sata-modules;
  * Add delkin_cb and tc86c001 to ide-modules;
  * Add orinoco_nortel and usb8xxx to nic-wireless-modules;
  * Applied patch from Guido Guenther <agx@debian.org> to add
    multipath-modules definition. Closes: #439410

  [ Joey Hess ]
  * With 2.6.22, the firewire modules are renamed to firewire-ohci and
    firewire-sbp2.

 -- Otavio Salvador <otavio@debian.org>  Tue, 04 Sep 2007 23:08:48 -0300

kernel-wedge (2.38) unstable; urgency=low

  [ Joey Hess ]
  * Add bitrev to core-modules, optionally. Some arches may build this as a
    module if nothing in the kernel itself uses it.

  [ Wouter Verhelst ]
  * Create an nbd-modules package with just the 'nbd' module in it that
    together with nbd-client-udeb and an as of yet to be written partman
    module should allow installing to an NBD device.

  [ Frans Pop ]
  * Add the definitions for loop-aes-modules (linux-modules-*).

  [ Otavio Salvador ]
  * Add squashfs-modules definition.

 -- Frans Pop <fjp@debian.org>  Thu, 05 Jul 2007 18:41:16 +0200

kernel-wedge (2.37) unstable; urgency=low

  [ Martin Michlmayr ]
  * Make nic-modules depend on core-modules. Closes: #421352

  [ Joey Hess ]
  * Split wireless modules out of nic-extra-modules into nic-wireless-modules.
    This new package will contain wireless modules that arn't USB or pcmcia;
    those stay in their respective packages.
  * nic-pcmcia-modules now depends on nic-wireless-modules instead of
    nic-extra-modules.
  * Add zd1211rw to nic-usb-modules, and ipw2100 and ipw2200 to
    nic-wireless-modules. These had been left off due to needing nonfree
    firmware, but maybe we'll work out a way to provide that, and users can
    always provide it on their own, so I think including these in d-i is
    worthwhile.
  * nic-usb-modules now depends on nic-wireless-modules for 80211 modules.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 15:21:30 -0400

kernel-wedge (2.36) unstable; urgency=low

  * Updates for 2.6.21:
    - Add atl1 and cxgb3 to nic-extra-modules
    - Add dm9601 to nic-usb-modules
    - sata_sis now depends on pata_sis, so I moved sata_sis to pata-modules,
      which is not really ideal

 -- Joey Hess <joeyh@debian.org>  Fri, 18 May 2007 01:28:41 -0400

kernel-wedge (2.35) unstable; urgency=low

  [ Joey Hess ]
  * Make nic-usb-modules depend on core-modules. Closes: #421352
  * It's generally fine to make any modules package depend on core-modules,
    even if the dependency is specific to one architecture. core-modules is
    priority standard so is always available anyway

  [ Frans Pop ]
  * Add cbc and ecb to crypto-modules (split out from another module in
    2.6.20).

 -- Joey Hess <joeyh@debian.org>  Thu, 10 May 2007 20:03:32 -0400

kernel-wedge (2.34) unstable; urgency=low

  * Really add qla3xx to nic-extra-modules.
  * Remove 3c359 from nic-extra-modules, it was added accidentially, as it's a
    token ring driver.
  * Move qla4xxxx and qla2xxxx to scsi-extra-modules as scsi-modules is too
    large for the i386 cd-drivers floppy and these modules are unlikely to be
    used for CD drives.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Apr 2007 14:33:52 -0400

kernel-wedge (2.33) unstable; urgency=low

  * Move eth1394 to nic-modules, this change was only made in i386 and amd64
    before.
  * Mark cpqarray optional, it is not available in amd64 as of 2.6.20.
    (This may be a bug in the kernel package.)
  * Rename firmware-modules to core-modules, so that it can be used for
    other modules besides firmware. Should only be used for very core modules.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Apr 2007 03:20:10 -0400

kernel-wedge (2.32) unstable; urgency=low

  * Add ipr, qlogicfas408, and dc395x to scsi-modules, and pd6729 to
    pcmcia-modules. These were only listed in i386's files for some
    reason before.
  * 2.6.20 support: (Closes: #418707)
    - add dgrs, netxen_nic, qla3xxx to nic-extra-modules
      NB: netxen_nic may need external firmware; dgrs seems to contain a
      binary blob in the kernel.
    - didn't add new tokenring modules for 3c359 and smctr, guessing noone
      will need them?
    - add aic94xx and qla4xxx, and stex to scsi-modules.
    - add mcs7830 to nic-usb-modules.
    - didn't add aircable to usb-serial-modules, as I'm guessing noone will
      use it in d-i (ditto for mos7720 and mos7840)
    - Add pata_* to pata-modules. This is quite likely wrong, since all the
      old ide modules are also still being built, and most of them register
      the same pci ida as the pata modules. Which one wins I don't know. I'm
      just following the kernel team here so that d-i behaves the same as a
      system running the 2.6.20 kernel package. Expect that this will be
      worked out in the future and only one version of each module included.
    - Factor out libata to a new ata-modules, since both sata-modules and
      pata-modules need it.
    - scsi-modules also needs to depend on ata-modules now, since ipr has a
      new dependency on libata.
    - pata_pcmcia to pcmcia-storage-modules

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Apr 2007 02:22:56 -0400

kernel-wedge (2.31) unstable; urgency=low

  * Add jmicron to ide-modules.

 -- Frans Pop <fjp@debian.org>  Sun,  4 Feb 2007 15:17:58 +0100

kernel-wedge (2.30) unstable; urgency=low

  [ Joey Hess ]
  * Add strip-modules subcommand, which is called by install-files
    and strips all kernel modules. This saves a small amount of
    memory and space, and the kernel modules in d-i initrds were
    already stripped, so we know it's safe.
  * .. but disabled it anyway.

  [ Colin Watson ]
  * Fix typo in efi-modules package description.

  [ Joey Hess ]
  * Add ieee80211_crypt_wep to nic-extra-modules, this is needed to use WEP.
    Closes: #407492

  [ Frederik Schüler ]
  * Mark sk98lin optional in nic-extra-modules.

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Jan 2007 14:43:56 -0500

kernel-wedge (2.29) unstable; urgency=low

  * Add cdc_ether to nic-usb-modules.
  * Add efi-modules package. Closes: #381584
  * 2.6.18:
    - Add acenic, dgrs to nic-extra-modules.
    - Not including zd1201 for now as it needs external firmware.
    - Add arcmsr and hptiop to scsi-extra-modules.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Nov 2006 23:33:38 -0500

kernel-wedge (2.28) unstable; urgency=low

  [ Frans Pop ]
  * Split new command build-arch out of build-all command.

  [ Joey Hess ]
  * Don't copy kernel image if there is no kernel-image file in the modules
    list directory.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Oct 2006 16:27:13 -0400

kernel-wedge (2.27) unstable; urgency=low

  [ Joey Hess ]
  * Fix exclusion of optional modules to work.

  [ Sven Luther ]
  * Optionalized raid5 and added optional raid456, since 2.6.18 kernels
    renamed the raid module (and added support for raid4 and raid6).
    Closes: #389074

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Sep 2006 13:57:25 -0400

kernel-wedge (2.26) unstable; urgency=low

  * mark scsi modules optional that aren't available for ia64:
    BusLogic, eata, fdomain, gdth
  * mark nic modules optional that aren't available for ia64:
    abyss, hp100, rrunner, tmspci
  * Update standards version to 3.7.2

 -- dann frazier <dannf@debian.org>  Sat, 19 Aug 2006 14:28:38 -0600

kernel-wedge (2.25) unstable; urgency=low

  [ Frederik Schüler ]
  * mark eexpress in nic-extra-modules optional, too.

  [ Joey Hess ]
  * Add bcm43xx, new in 2.6.17.
  * Mark qlogicfc optional, removed in 2.6.17.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Aug 2006 00:09:37 -0400

kernel-wedge (2.24) unstable; urgency=low

  * Mark many modules in nic-extra-modules that are not available on amd64
    as optional.
  * Add a ton of 2.6 specific modules to nic-extra-modules, all marked as
    optional, this is the list that was in linux-kernel-di-i386-2.6.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jun 2006 15:23:45 -0400

kernel-wedge (2.23) unstable; urgency=low

  [ Joey Hess ]
  * Drop de4x5, since on 2.6 it's not registered to any pci device and is
    apparently useless. The 2.4 lists for individual arches have been updated
    to include it where appropriate. Closes: #352924
  * Mark lanstreamer, ne2, tlan, 3c523, and 3c52 as optional, not built on
    alpha.
  * Mark some modules in scsi-modules and nic-pcmcia-modules that may not be
    avalable on eg, amd64 or powerpc, as optional.
  * Add atmel_cs and wl3501_cs, which are new in 2.6.

  [ Frederik Schüler ]
  * Mark some more (ISA) scsi controllers in scsi-modules as optional.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jun 2006 14:52:08 -0400

kernel-wedge (2.22) unstable; urgency=low

  [ Joey Hess ]
  * kFreeBSD support and preliminary module lists added by Robert Millan.
    Closes: #365074

  [ Frans Pop ]
  * Don't use deprecated old-style options for head/tail.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 May 2006 20:26:01 -0400

kernel-wedge (2.21) unstable; urgency=low

  * Split usb serial modules out into their own udeb, and added 7 chipset
    specific drivers. Closes: #361695
  * Remove belkin_sa from brltty-modules, it's now in usb-serial-modules.

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Apr 2006 18:28:40 -0400

kernel-wedge (2.20) unstable; urgency=low

  * Add crypto-modules, containing the modules that partman-crypto currently
    can use. Closes: #359150

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Mar 2006 18:14:12 -0500

kernel-wedge (2.19) unstable; urgency=low

  * Add asix and zd1201 to nic-usb-modules, both are 2.6 only.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Mar 2006 13:07:49 -0500

kernel-wedge (2.18) unstable; urgency=low

  * Set nic-extra-modules and scsi-modules to depend on firmware-modules by
    default, matching the default contents, rather than leaving each
    architecture to fix these up separately

 -- Steve Langasek <vorlon@debian.org>  Thu, 12 Jan 2006 02:00:44 -0800

kernel-wedge (2.17) unstable; urgency=low

  * Add cs5535 and sata_sil24, new in 2.6.15.
  * Add qla2xxx modules, available as of 2.6.15.
  * Add pdc_adma module to sata-modules, not sure if that's really the right
    place, but it works.

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Jan 2006 18:00:31 -0500

kernel-wedge (2.16) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add minix-modules.
  * Add nfs-modules.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 02 Jan 2006 23:56:43 +0100

kernel-wedge (2.15) unstable; urgency=low

  [ Joey Hess ]
  * Allow touching an ignore-dups file to make find-dups not throw a fatal
    error. (Not to be used for official Debian packages.)

  [ Steve Langasek ]
  * Add myself to Uploaders
  * Tag a number of SCSI drivers as optional in scsi-modules, as they're
    unavailable on alpha and perhaps others

 -- Steve Langasek <vorlon@debian.org>  Sun,  1 Jan 2006 06:38:23 -0800

kernel-wedge (2.14) unstable; urgency=low

  * initio was added to scsi-extra-modules in 2.09 incorrectly; it's been in
    scsi-modules for the 2.4 kernels for a long time. Move it to there.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Dec 2005 21:31:51 -0500

kernel-wedge (2.13) unstable; urgency=low

  * Add to ide-modules all the ide modules that are new in the list for
    the 2.6 i386 kernel, and mark modules that are not as optional.
  * On second thought, mark all the ide-modules as optional as there
    is variation between arches but we generally want all that are available.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Nov 2005 01:30:21 -0500

kernel-wedge (2.12) unstable; urgency=low

  * Revert previous change to retain compatibility with current 2.4 kernels
    and 2.6.12/2.4.27 packages in etch.

 -- Frederik Schüler <fs@debian.org>  Sat, 26 Nov 2005 19:49:14 +0100

kernel-wedge (2.11) unstable; urgency=low

  * Remove socket-modules: unix.ko and af_packet.ko are now builtin into
    the kernel.

 -- Frederik Schüler <fs@debian.org>  Thu, 24 Nov 2005 23:43:59 +0100

kernel-wedge (2.10) unstable; urgency=low

  [ Joey Hess ]
  * Remove the old make-links subcommand.

  [ Frederik Schüler ]
  * Marked the following modules optional:
    - scsi-extra-modules: aha152x dpt_i2o dtc ibmmca sym53c416
    - pcmcia-modules: i82365 tcic

 -- Frederik Schüler <fs@debian.org>  Sat, 19 Nov 2005 14:47:48 +0100

kernel-wedge (2.09) unstable; urgency=low

  * Add megaraid_mbox to scsi-extra-modules, if available (added in 2.6.12
    iirc). This is apparently a new generation megaraid driver with a silly
    name, since after all keeping the same name for megaraid for more than a
    few kernel releases would be too predictable </bitter>
  * The old megaraid driver is still included too for now until we get this
    sorted out.
  * Add it821x pci ide driver to ide-modules if available (2.6.14).
  * md is renamed to md-mod in 2.6.14.
  * Move three scsi-extra-modules that are new in 2.6 from
    linux-kernel-di-i386-2.6 to here, so they will be added for other
    arches too.
  * mptspi, mptsas, and mptfc are split out of mptscsih in 2.6.14, add
    if available.
  * Make megaraid module optional, since it's not available in 2.6.14.
  * Add megaraid_mm and megaraid_sas when available.
  * Add sata_mv, new in 2.6.14.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Nov 2005 17:20:26 -0500

kernel-wedge (2.08) unstable; urgency=low

  * Put codepage and charset modules for fat back in, as it's not needed
    only for elilo after all.

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Oct 2005 20:35:22 -0400

kernel-wedge (2.07) unstable; urgency=low

  * Remove dead code in copy-modules that apparently caused it to crash
    for someone. Closes: #328363

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Sep 2005 21:18:46 -0400

kernel-wedge (2.06) unstable; urgency=low

  [ Colin Watson ]
  * build-all excludes {arch} and .arch-ids directories from the source
    package.
  * Try to copy extra files from /usr/lib/linux-image-* if it exists (the
    Ubuntu case), as well as /usr/lib/kernel-image-*.
  * Optionally add cloop to loop-modules, to help with porting the Ubuntu
    live CD code.

  [ Joey Hess ]
  * Move usbserial from usb-modules to serial-modules, since usb-modules needs
    to be very small (for the boot floppy), while serial-modules is hardly
    used at all.
  * Make usb-modules list usable for 2.6 kernels.
  * brltty-modules changed to depend on serial-modules due to usbserial move.
  * Remove codepage and character set modules from fat-modules; these are only
    really needed for elilo on ia64 so will be included only there.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Aug 2005 01:25:22 -0400

kernel-wedge (2.05) unstable; urgency=low

  * Make mcd optional (removed in 2.6.12).

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Jul 2005 23:41:09 +0300

kernel-wedge (2.04) unstable; urgency=low

  * Matt Kraai
    - Add qnx4-modules.

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Jul 2005 10:41:49 -0400

kernel-wedge (2.03) unstable; urgency=low

  * Upload to unstable.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Jun 2005 15:52:10 -0400

kernel-wedge (2.02) experimental; urgency=low

  * Colin Watson
    - Make mouse-modules depend on input-modules; libps2 and serio are
      common to both on powerpc at the moment, and don't fit in usb-modules.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 May 2005 12:23:56 +0100

kernel-wedge (2.01) experimental; urgency=low

  * Joey Hess
    - copy-modules modules.dep parsing was broken when using SOURCEDIR; fix.
  * Frans Pop
    - Add mouse-modules udeb for use with gtk-frontend (Frans Pop).
      Closes: #307537.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 May 2005 23:35:02 +0100

kernel-wedge (2.00) experimental; urgency=low

  * To experimental for now to avoid using it when building any last sarge
    kernels.
  * Colin Watson
    - Sort module filenames after dealing with optional modules; some
      dependency problems were invisible in LC_COLLATE=C otherwise.
    - Force Section: debian-installer in generated udebs if it doesn't
      already end in debian-installer, for when the source has a different
      section (Ubuntu).
  * Joey Hess
    - Fix subshell error code loss when throwing a missing modules error.
    - Make usb-modules usable on sparc 2.4 which has no ehci or usb-core.
    - Add a check in copy-modules for a modules.dep file that contains no
      module dependencies or is empty. This is probaly due to eg, running
      depmod on a sparc32 kernel on sparc64 (w/o running it in the sparc32
      environemnt), or some other similar goof up. Since it typically causes
      broken udebs, exit with an error, but do allow a file to be touched to
      continue on.
    - Add a crc-modules, for now it only contains crc-ccitt, which a few
      udebs need and had been hackishly placed in the kernel-image package
      before.
    - Drop raid6 from md-modules since TTBOMK d-i does not use it.
    - Add ahci to sata-modules, available in 2.6.11.
    - Add sata_qstor, ditto.
    - And sata_uli.
    - Allow unknown dependencies in package-list files to be forced
      not to be removed by gen-control, by following them with a bang.
      I expect this will be used by third-party modules packages that need to
      depend on a udeb from the main kernel package set. Ie, non-free modules.
    - copy-modules now uses find to find a module anywhere in the kernel
      modules tree.
    - Module list files no longer need path info (or extension info!), though
      old ones with that info will still work (mostly; not if whole module
      subdirs such as sym53c8xx_2 or aic7xxx were listed).
    - Modules not in the kernel/ subdir can also be listed now.
    - Remove all module path and extension info from kernel-wedge's own
      module lists.
    - Try to clean up the sym53c8xx_2 / sym53c8xx mess somewhat. It was too
      complicated to describe.. Currently both modules are included in
      scsi-common-modules if a kernel has both.
    - Suffixing a module name with " ?" is the preferred way to indicate it's
      optional. Prefixing with "-" is still supported for backwards
      compatability.
    - Add includes support for module lists. Deprecate symlink support.
    - Suffixing a module name with " -" removes it from the list.
    - Add cdrom-modules list, factored out of the two i386 kernel packages.
    - Factor out a common but incomplete nic-extra-modules, nic-modules
      nic-pcmcia-modules, pcmcia-modules, scsi-modules, serial-modules.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 May 2005 14:10:52 -0400

kernel-wedge (1.25) unstable; urgency=low

  * Martin Michlmayr
    - Add dm-snapshot.o to md-modules if it's available.
  * Joey Hess
    - scsi-common modules does not depend on partport, remove bogus dep

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 2004 16:58:06 -0400

kernel-wedge (1.24) unstable; urgency=low

  * dann frazier
    - Add the new default I/O character set and codepage for fat to
      fat-modules - should allow elilo-installer to complete successfully

 -- dann frazier <dannf@debian.org>  Fri, 27 Aug 2004 23:32:47 -0600

kernel-wedge (1.23) unstable; urgency=low

  * Joey Hess
    - Users expect to be able to use usb sticks as installation targets,
      so the usb-storage-modules udeb should be standard priority.
      Closes: #266636

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Aug 2004 10:54:08 -0400

kernel-wedge (1.22) unstable; urgency=low

  * dann frazier
    - Add sata_nv to sata-modules, new in 2.6.8

 -- dann frazier <dannf@debian.org>  Thu, 26 Aug 2004 00:51:30 -0600

kernel-wedge (1.21) unstable; urgency=low

  * Joey Hess
    - Add an acpi-modules package, containing enough modules to turn the
      fan on.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 20:12:25 +0100

kernel-wedge (1.20) unstable; urgency=low

  * Joey Hess
    - Add sx8 and sata_sx4 to sata-modules, new in 2.4.27.
    - Add dm-mirror to md-modules, likewise.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 17:33:32 +0100

kernel-wedge (1.19) unstable; urgency=low

  * Joey Hess
    - Factor out a firewire-core-modules list from the kernel packages.
      Note that it includes eth1394.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Jul 2004 21:41:11 -0400

kernel-wedge (1.18) unstable; urgency=low

  * Colin Watson
    - Prefer vmlinux to vmlinuz if both exist. On powerpc, vmlinuz might be
      generated by mkvmlinuz.
    - Stop gen-control outputting broken package stanzas if package-list
      contains multiple consecutive blank lines.
  * Joey Hess
    - Add sata_sx4 to sata-modules (in 2.6.7).
    - Add firmware-modules package. The location differs between 2.4 and 2.6.

 -- Joey Hess <joeyh@debian.org>  Fri,  2 Jul 2004 13:44:34 -0400

kernel-wedge (1.17) unstable; urgency=low

  * Colin Watson
    - Copy /usr/lib/kernel-image-$kernelversion-$flavour into the
      kernel-image udeb. This will be used by the build system on powerpc to
      produce boot images for non-newworld-pmac 2.6 subarchitectures.

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Jun 2004 12:34:31 +0100

kernel-wedge (1.16) unstable; urgency=low

  * Colin Watson
    - Add common pcmcia-storage-modules list; every instance of it elsewhere
      is currently identical.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 May 2004 15:01:44 +0100

kernel-wedge (1.15) unstable; urgency=low

  * Bastian Blank
    - Completely ignore nonexistent module directories.

 -- Bastian Blank <waldi@debian.org>  Thu, 20 May 2004 12:34:08 +0200

kernel-wedge (1.14) unstable; urgency=low

  * Alastair McKinstry
    - Add ufs-modules; needed to detect *BSD , etc. partitions for
      os-prober.

 -- Joey Hess <joeyh@debian.org>  Sat,  8 May 2004 19:34:57 -0400

kernel-wedge (1.13) unstable; urgency=low

  * Joey Hess
    - Complain and abort if there is no modules.dep, rather than generating
      broken udebs. Closes: #247833

 -- Joey Hess <joeyh@debian.org>  Fri,  7 May 2004 14:01:38 -0400

kernel-wedge (1.12) unstable; urgency=low

  * Joey Hess
    - Add nic-usb-modules and sata-modules support so as not to duplicate it
      in the i386 kernel packages. The nic-usb-modules list differs, so is not
      included.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 14:55:39 -0400

kernel-wedge (1.11) unstable; urgency=low

  * Colin Watson
    - Don't copy modules to excluded packages.
    - Add support for modular ext2.
  * Joey Hess
    - Add IDE RAID drivers to ide-modules. Note that medley.o is not available
      on speakup kernels, so is marked as optional. The rest are present in
      both i386 and alpha kernels.

 -- Joey Hess <joeyh@debian.org>  Mon,  3 May 2004 14:01:59 -0400

kernel-wedge (1.10) unstable; urgency=low

  * Fix the check subcommand to only check packages for the current
    architecture. Closes: #244332

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Apr 2004 19:11:52 -0400

kernel-wedge (1.9) unstable; urgency=low

  * In copy-modules, call processmodules before deplist. This is
    necessary to properly support pulling in dependent modules for 2.6
    kernels.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Apr 2004 13:14:42 -0400

kernel-wedge (1.8) unstable; urgency=low

  * Colin Watson
    - Fix description of scsi-common-modules.
  * Joey Hess
    - The dependencies for debian/control were not quite right, and very hard
      to get right, and it's inexpensive to run. Make it PHONY.
    - Fix the modules.dep parser to work with 2.6 modules.deps.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Apr 2004 00:07:52 -0400

kernel-wedge (1.7) unstable; urgency=low

  * Add a check command which currently only checks for empty packages.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Apr 2004 18:53:59 -0400

kernel-wedge (1.6) unstable; urgency=low

  * Bastian Blank
    - Merge a source supplied packages list.
    - Move arch specific specifications from the package list
      into the real packages.
  * Joey Hess
    - in copy-modules, deal with 2.6 .ko modules.

 -- Colin Watson <cjwatson@debian.org>  Fri,  9 Apr 2004 14:45:38 +0100

kernel-wedge (1.5) unstable; urgency=low

  * Colin Watson
    - powerpc kernel images provide jfs-modules, reiserfs-modules, and
      xfs-modules, apart from powerpc-small.

 -- Colin Watson <cjwatson@debian.org>  Tue,  6 Apr 2004 18:54:31 +0100

kernel-wedge (1.4) unstable; urgency=low

  * Bastian Blank
    - Make it possible to specify the suffix of the images.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Apr 2004 14:10:14 -0400

kernel-wedge (1.3) unstable; urgency=low

  * Add pcmcia-storage-modules to the package-list.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Mar 2004 01:50:41 -0500

kernel-wedge (1.2) unstable; urgency=low

  * Stephen R. Marenka
    - m68k mac 2.2.25 -4 now includes ext3, adjust provides accordingly,
      include reiserfs and jfs to prevent a 2.4.x kernel from satisfying
      such dependencies.
  * Colin Watson
    - powerpc kernel images provide ext3-modules, apart from powerpc-small.
    - Remove kernel-names and just try both vmlinuz and vmlinux instead (if
      both exist, vmlinuz is arbitrarily preferred) to cope with
      architectures that have different subarchitectures using different
      image names.
  * Joey Hess
    - Merge extra provides with the single autogenerated provides.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Mar 2004 14:13:27 -0500

kernel-wedge (1.1) unstable; urgency=low

  * Move everything to /usr/share to make linda happy; we are arch all after
    all.
  * Depend on make, to make lintian happy.
  * Add a man page.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Mar 2004 13:53:54 -0500

kernel-wedge (1.0) unstable; urgency=low

  * Split out kernel splitting infrastructre into a utility package
    that builds no udebs.
  * Low version numbers are for sissies.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Mar 2004 10:16:53 -0500

linux-kernel-di (0.51) unstable; urgency=low


  * Attn FTP-MASTER: This is huge, but it's Binary: field is uder 10k.
    Please check carefully that it does not break apt before accepting.
  * Jeff Bailey
    - Add HPPA support.  Thanks to willy, lamont, tausq, and the other
      souls in #parisc.
  * Martin Michlmayr
    - Added MIPS sb1-swarm-bn images (BCM91250A).
  * Thiemo Seufer
    - Bump versioned depends for mips to .4, and add some for mipsel.
    - Declare ext3 as built-in for mips, mipsel.
  * Joshua Kwan
    - To support the vast majority of dualboot installations, add NTFS
      module to i386/ so as to be able to reliably detect Windows NT/2K
      installations.
  * Sven Luther
    - Add pcnet32.o used in most if not all IBM RS6K boxes. (to nic-modules)
  * Joey Hess
    - Uncomment arm.
    - Fix arm kernel image versions; s/24/25/
    - Add gross hack to install-files to work around netwinder kernel image
      naming problem. This is suposed to be temporary.
  * Stephen R Marenka
    - Update mac kernel to version -3.
    - Update amiga kernel to 2.4.25.
    - Remove m68k subarch hacks as these new kernels do not require them.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Mar 2004 22:36:41 -0500

linux-kernel-di (0.50) unstable; urgency=low

  * Vincent Sanders
    - Added ARM kernels, mostly complete but when 2.4.25-2 is issued I will
      need to add some modules that were not selected.
  * Joey Hess
    - sparc kernel images provide ext3-modules
    - sparc64 kernel also provides reiserfs-modules
    - due to lack of time, the arm stuff will be postponed till the next build
  * dann frazier
    - add missing -smp to itanium flavor in kernel-versions

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 03:05:50 -0500

linux-kernel-di (0.49) unstable; urgency=low

  * dann frazier
    - Re-added mptscsih/mptbase to scsi-modules for ia64 - I introduced this
      regression during the 2.4.25 migration.

 -- Vincent Sanders <vince@kyllikki.org>  Fri, 12 Mar 2004 19:35:06 +0000

linux-kernel-di (0.48) unstable; urgency=low

  * Stephen R. Marenka
    - Removed m68k nic-shared from exclude. It's trivial, but not empty.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 16:30:07 -0500

linux-kernel-di (0.47) unstable; urgency=low

  * Sven Luther
    - Added power3 and power4 kernels. Not sure i did it right though.
  * Joey Hess
    - power3 and power4 modules lists differ from powerpc only in fat-modules,
      so remove them, add fat-modules to powerpc, exclude fat-modules from
      building for powerpc and powerpc-small. (The lists were broken and in
      the wrong place anyway.)
    - Typo in kernel-versions.
    - No serial modules for power3, power4.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 12:16:20 -0500

linux-kernel-di (0.46) unstable; urgency=low

  * Joey Hess
    - Add via-ircc.o to irda-modules.
    - Add orinoco_plx to nic-extra-modules.
    - Remove mac parport, affs, hfs, md-modules from exclude-packages list.
  * Stephen R. Marenka
    - Removed m68k parport, affs, hfs, md-modules
      (really just don't need them).

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Mar 2004 17:19:02 -0900

linux-kernel-di (0.45) unstable; urgency=low

  * dann frazier
    - Move ia64 from 2.4.22 to 2.4.25
  * Joey Hess
    - Add cdrom-core-modules for sparc. Closes: #234860
    - This package has gotten so big that it is breaking apt, to work
      around this, removed the old speakup and powerpc kernel versions.
    - Remove apparently empty ia64 md-modules.
    - scsi-core-modules are now built in on ia64

 -- Joey Hess <joeyh@debian.org>  Sat, 06 Mar 2004 00:00:58 +0000

linux-kernel-di (0.44) unstable; urgency=low

  * Turn on s390 kernels.
  * Add 2.4.25 powerpc kernels. The 2.4.22 ones will be dropped soon.
  * Mark usb-uhci optional on powerpc (builtin to new kernels).
  * Mark sym53c8xx and ncr53c8xx optional on powerpc, also builtin.

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Mar 2004 20:18:36 -0500

linux-kernel-di (0.43) unstable; urgency=low

  * Drop b44 and wd modules to nic-extra-drivers, to free up yet more space
    on the continually translation bloated root floppy.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Mar 2004 18:03:04 -0900

linux-kernel-di (0.42) unstable; urgency=low

  * Stephen R. Marenka
    - Add basic support for 2.2.25 kernels.
    - Add m68k-specific support for multiple kernels.
    - Update m68k support to 2.4.24 and 2.2.25.
    - Remove m68k-amiga flavor modules.
  * Joey Hess
    - Add support for *_arch_flavour fields in package-list.
    - The m68k kernel image provides loop-modules and drop empty loop-modules
      packages.
    - Add a slew of empty mac module udebs to exclude-packages. Looking for a
      better fix..

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Mar 2004 11:01:24 -0500

linux-kernel-di (0.41) unstable; urgency=HIGH

  * Joey Hess
    - Remove the 2.4.24 kernel for i386.
    - Update the i386-speakup kernel to 2.4.24 from 2.4.22.
      The 2.4.22 version will be removed soon.
    - Remove the md-modules-2.4.24 hack, mark dm-mod as optional instead.
    - All i386-speakup modules lists are links to common or i386 again.
    - Move fat-modules and floppy-modules lists to common.
    - build-all was broken 2 revs ago and empty modules packages shipped, fix

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Mar 2004 17:11:25 -0500

linux-kernel-di (0.40) unstable; urgency=low

  * Bastian Blank
    - gen-control
      - Add XB-Kernel-Version field.
      - Read extra control file entries from modfile.control.
    - kernel-versions
      - Fix s390 kernel version.
  * Joey Hess
    - Moved sis-900 and via-rhine from nic-modules to nic-extra-modules,
      to free up more space for useless translations on the ever-bloating
      root floppy. :-/
    - The 2.4.21 kernel-image is still not available, so commented it
      out once again.
    - Remove waldi's modfile.control stuff, and use the existing field_arch
      support in package-list for s390's ext3-modules provide.
    - Implemented jbailey's idea for prefixing optional modules with - in the
      lists.
    - Add support for blank lines and comments in modules list files, while
      I'm at it.
    - Add xfs-modules for i386, currently it's marked optional since it's
      only available for the newer kernels.
    - Add a hackish exclude-packages file to list packages that will not be
      listed in debian/control; add xfs-modules-2.4.24-1-386-di to it.
    - Remove the i386-xfs kernel flavour remnants.

 -- Joey Hess <joeyh@debian.org>  Sat, 28 Feb 2004 16:38:11 -0500

linux-kernel-di (0.39) unstable; urgency=low

  * Bastian Blank
    - kernel-versions
      - Add 2.4.21 s390 kernels.
    - kernel-names
      - Fix s390 entry.
    - copy-modules
      - Exit clean if the modules dir don't exist, needed by module-less s390
        kernel images.
    - modules/s390
      - Add initial list.
    - modules/s390-tape
      - Only kernel image.
    - install-files
      - Install System.map only if available.
  * Joey Hess
    - comment out s390 until a kernel image is in the archive
    - Add the 2.4.25 kernel for i386. 2.4.24 will be removed soon.
      Modules new to 2.4.25 have not been added (so no xfs quite yet!)

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Feb 2004 19:22:00 -0500

linux-kernel-di (0.38) unstable; urgency=low

  * Add missing empty kernel-image file that was preventing the speakup
    kernel-image udeb from building.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Feb 2004 20:25:41 -0500

linux-kernel-di (0.37) unstable; urgency=low

  * The "xyzzy" release.
  * Move ide-cd from ide-modules to cdrom-core-modules, and make
    cdrom-core-modules depend on ide-modules (was other way around). This is
    to avoid having a broken ide-cd on the hd-media initrd, which has no cdrom
    support.
  * Moved e1000 to nic-extra-modules to free up space on the floppy image.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Feb 2004 21:13:02 -0500

linux-kernel-di (0.36) unstable; urgency=low

  * Update the i386 stock kernel to version 2.4.24-3, the alpha kernel to
    2.4.24-3, the mips kernels to 2.4.22-0.030928.3, and the powerpc kernels
    to 2.4.22-10, all with fixes for the most recent security hole. The other
    arches remain vulnerable.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Feb 2004 19:36:10 -0500

linux-kernel-di (0.35) unstable; urgency=low

  * Thiemo Seufer
    - Switch mips, mipsel to multkern.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Feb 2004 11:46:55 -0500

linux-kernel-di (0.34) unstable; urgency=low

  * Fix multkern processing.
  * Fix builddeps.
  * Support per-arch fields in package-list.
  * Only make fat-modules be standard for ia64, i386.

 -- Joey Hess <joeyh@debian.org>  Wed, 11 Feb 2004 18:52:27 -0500

linux-kernel-di (0.33) unstable; urgency=low

  * Really remove sparc affs.

 -- Joey Hess <joeyh@debian.org>  Wed, 11 Feb 2004 15:13:58 -0500

linux-kernel-di (0.32) unstable; urgency=low

  * Jeff Bailey
    - Remove unneeded affs udeb from sparc.

 -- Joey Hess <joeyh@debian.org>  Wed, 11 Feb 2004 12:17:36 -0500

linux-kernel-di (0.31) unstable; urgency=low

  * Blars Blarson
    - Minor wording fix in README. Closes: #231514
  * Joey Hess
    - ia64 needs fat-modules installed by default for elilo-installer to work.
      Increase it to standard, though it really only needs to be standard on
      ia64.
    - Use debhelper's new udeb support.
    - Include flavor and version in sparc kernel image.
    - Turn sparc kernels on.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Feb 2004 23:30:45 -0500

linux-kernel-di (0.30) unstable; urgency=low

  * Jeff Bailey
    - Add sparc
    - Use vmlinuz instead of vmlinux
    - Add sparc32 and sparc64 flavours
    - Install modules for affs, ipv6 and ppp.
  * Joey Hess
    - Move all the wireless stuff out of nic-modules and nic-common-modules,
      and to nic-extra-modules. Full wireless support will not fit on the
      root floppy, has to go to net_drivers.
    - nic-pcmcia-modules now depends on nic-extra-modules, for some
      wireless modules.
    - Move pcnet32 to nic-extra-modules to free up more space; it's mainly
      used by vmware.
    - Turn off the sparc stuff for this quick release.
    - Update to version 2.4.24-2 of the i386 kernel.
    - Add new sk98lin and forcedeth drivers to nic-extra-modules.

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Feb 2004 18:55:28 -0500

linux-kernel-di (0.29) unstable; urgency=low

  * Remove the i386 2.4.22 stock kernel now that d-i has switched to 2.4.24.
  * Add the following kernel modules that are new in 2.4.24:
    - dm-mod to md-modules
    - megaraid2 to scsi-extra-modules
    - sym53c8xx_2 to scsi-modules
  * Speakup needs to be split for now as it's still using 2.4.22, which does
    not have the above modules.
  * Update powerpc kernel to version -9.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Jan 2004 15:17:35 -0500

linux-kernel-di (0.28) unstable; urgency=low

  * Update powerpc kernel to version -6.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Jan 2004 13:43:16 -0500

linux-kernel-di (0.27) unstable; urgency=low

  * Fix naming of powerpc's nic-extra-modules and nic-shared-modules.
  * Rename powerpc small kernels to have "powerpc-small" in the flavour,
    for consistency. Patch from Jeremie Koenig.
  * Richard Hirst
    - ia64: Include isofs.o in ide-modules

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Jan 2004 15:05:57 -0500

linux-kernel-di (0.26) unstable; urgency=low

  * Dann Frazier
    - Adding ia64; starting with 2.4.22-7
  * Steve Langasek
    - Update alpha to use 2.4.24, which seems to work as well as 2.4.22
      did

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 13:02:21 -0500

linux-kernel-di (0.24) unstable; urgency=low

  * Update powerpc kernels to version 2.4.22-5.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jan 2004 13:02:21 -0500

linux-kernel-di (0.23) unstable; urgency=low

  * Update speakup kernel to version 2.4.22-2.
  * Add i386 kernel version 2.4.24; the .22 version is kept until d-i has
    finished transitioning to the new one. Note that I did not try to add the
    couple of new modules in 2.4.24 just yet.
  * Steve Langasek
    - add support for an xfs-386 flavor on i386, currently at version
      2.4.22.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jan 2004 15:11:40 -0500

linux-kernel-di (0.22) unstable; urgency=low

  * Update mipsel kernels to version 0.020911.9.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Dec 2003 15:06:54 -0500

linux-kernel-di (0.21) unstable; urgency=low

  * Add missing kernel-image udeb for non-small powerpc.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Dec 2003 14:04:44 -0500

linux-kernel-di (0.20) unstable; urgency=low

  * Add the powerpc kernels. (version 2.4.22-4)
  * Add a jfs module. Closes: #219879
    (But not on mipsel, it's not available.)
  * Remove usb-ohci and usbcore from powerpc usb-modules, no such modules.
  * Remove sungem from powerpc nic-modules, same reason.
  * Remove input-modules udeb for powerpc, as none of the modules in it
    (keybdev, usbkbd), are in the current modules package.
  * Remove cdrom, ide-cd, ide-disk from cdrom-modules on powerpc.
  * Remove ext3-modules udeb for powerpc, seems it is not built as modules
    there?

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Dec 2003 22:11:32 -0500

linux-kernel-di (0.19) unstable; urgency=low

  * Don't include modules.dep in the kernel udeb, as the installer build
    process builds a reduced one.
  * Do include System.map though, it's needed for depmod to work if the
    running kernel is 2.6.
  * [i386, powerpc, alpha] Split out scsi-common-modules, which will be
    for scsi controllers that are very common. It's targeted to fit on a
    CD initrd to support scsi cdroms. Currently only include aic7xxx and
    BusLogic.
  * Add sym53c8xx to scsi-common-modules based on user report. Closes: #221167

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Dec 2003 14:40:05 -0500

linux-kernel-di (0.18) unstable; urgency=low

  * Thiemo Seufer
    - Add module definitions for mips, mipsel.
    - Add kernel definitions for mips, mipsel, but keep them disabled for now.
    - Improve install-files, find-dups. Enable kernel definitions for
      mips, mipsel.
    - Remove some module definitions not available on mipsel.

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Dec 2003 18:52:34 -0500

linux-kernel-di (0.17) unstable; urgency=low

  * Add pppox to ppp-modules at request of Marco d'Itri.
  * Move b44 to nic-modules as it seems rather common, on eg Dell hardware.

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Nov 2003 18:23:42 -0500

linux-kernel-di (0.16) unstable; urgency=low

  * Mario Lang:
    - Add "speakup" as additional flavour to kernel-versions on i386.  This is
      necessary to support blind users using a hardware speech synthesizer.
  * Joey Hess
    - [alpha] Broke srm_env out into its own package from kernel-image for
      consistency.
    - change build_all to not check build deps
    - fix build_all's handling of flavours, only build each arch once
  * Goswin von Brederlow
    - modules/m68k-amiga: mac has scsi-modules, amiga has scsi-core-modules
      mv scsi-core-modules scsi-modules

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Nov 2003 19:42:28 -0500

linux-kernel-di (0.15) unstable; urgency=low

  * Have copy-modules sort the module lists files. This fixes some locale
    dependeny bugs in dependency resolution and exposes some misplaced
    modules..
  * Move aironet4500_core to nic-shared-modules, as both nic-pcmcia-modules
    and nic-extra-modules need it.
  * Move NCR53C9x from scsi-extra-modules to scsi-modules; mca_53c9x depends
    on it.
  * iph5526 depends on scsi_mod. Remove from nic-extra-modules.
  * Remove ide-scsi from scsi-modules. I *think* that there is no need
    to have ide-scsi support in the installer (only for writing CDs, right?)
    And to keep it scsi-modules would need to depend on ide-core-modules.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Nov 2003 14:22:10 -0500

linux-kernel-di (0.14) unstable; urgency=low

  * Add cs89x0 to nic-extra-modules (i386) based on user repport.
  * Add more modules, mostly unusual or ISA since we have the space:
    3c523 3c527 ac3200 at1700 depca e2100 eexpress es3210 eth16i ewrk3
    iph5526 lne390 lp486e ne2 ni5010 ni52 rrunner skfp smc9194
    smc-ultra32 3c359

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Nov 2003 00:01:42 -0500

linux-kernel-di (0.13) unstable; urgency=low

  * Add the pcnet32 driver to nic-modules (used by vmware, we have space).
  * Make copy-modules abort if tar fails (lost that when converting from
    fifo).
  * Move sr_mod from scsi-modules to cdrom-core-modules; it is required
    for USB cdrom drives as well as scsi ones.
  * cdrom-core-modules needs to depend on scsi-core-modules because of this
    change.
  * Removed links target in debian/rules, to make debian/rules clean binary
    work.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Nov 2003 00:01:35 -0500

linux-kernel-di (0.12) unstable; urgency=low

  * Add the b44 driver to nic-extra-modules (is this a common module)?
  * Put 3c59x back in nic-modules, no isa-pnp after all.
  * Broke loop.o out into its own package, from floppy-modules, as it has
    nothing to do with floppy support and is needed on media that will not
    have floppy support.
  * Each modules package will provide the base name of the package,
    so that d-i udebs can declare dependencies on modules packages they
    need.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Nov 2003 11:35:32 -0500

linux-kernel-di (0.11) unstable; urgency=low

  * Gaudenz Steinlin
    - add powerpc and powerpc-small module lists
    - add hfs and affs modules
    - fix gen-deps and copy-modules to work with
      $flavour
  * Joey Hess
    - minor cleanups
    - add srm_env module for alpha. For lack of any better place to put it,
      it's in the kernel-image package for now. Closes: #218632
    - update build_all to support flavours
    - move ne.o to nic-extra-modules. It requires isa-pnp, which is too big
      to fit on the root floppy. Closes: #215509
    - 3c59x and smc-ultra move also for the same reason.
    - nic-modules loses its dep on isa-pnp-modules.
    - temporarily comment out powerpc stuff in kernel-versions until the
      kernels are in the archive

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Nov 2003 19:37:52 -0500

linux-kernel-di (0.10) unstable; urgency=low

  * Change ext3 and reiserfs to priority standard, to make them be
    available by default in the installer.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Oct 2003 14:11:58 -0500

linux-kernel-di (0.9) unstable; urgency=low

  * Goswin von Brederlow
    - Add m68k amiga module lists
    - Add kernel-image-2.4.20-amiga to kernel-versions.
  * Joey Hess
    - Fix section to be debian-installer, not devel.
    - Add an installedname field to kernel-versions to support
      non-flavoured naming as used in m68k and other kernel debs.
    - Removed autogenerated file debian/control from CVS. It will still be
      in the tarball.
    - Broke make-links and install-files out of debian/rules.
    - Look in modules/<arch>-<flavour>/ if it exists in preference to
      plain modules/<arch>/.
    - build-all updated, enhanced to generate cross-compiler stubs
      automatically.

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Oct 2003 13:53:06 +0100

linux-kernel-di (0.8) unstable; urgency=low

  * Fix broken (doubled) dependency field of ide-modules.
  * modules-list had usb-storage-modules depending on ide-modules;
    but they really depend on ide-core-modules.
  * Dropped the modutils dependency from the kernel image.
  * Add debian/control.stub, package-list, and kernel-versions.
  * Automatically generate control file from new files.
  * Replace module-deps with gen-deps, a program that extracts the module
    deps information from the package-list.
  * Add rules code to generate control, delete it when done, and manage a
    link from control.stub to control at other times, so dpkg-buildpackage
    will be happy.
  * Change section of source package to debian-installer.
  * Remove per-package section settings.
  * Pass -s to debhelper commands.
  * Moved sr_mod.o from scsi-core-modules to scsi-modules, and broke
    cdrom.o out into a cdrom-core-modules, which ide-modules, scsi-modules,
    and cdrom-modules all depend on. This is keep scsi-core-modules from
    depending on ide-modules for cdrom.o (which it did before, though the
    Depends entry was missing, it was in module-deps).
  * Add alpha to kernel-versions, using the 2.4.22-1-generic kernel.
  * Remove all the hard-coded kernel flavour and arch stuff from
    debian/control, getting it from kernel-versions, and supporting multiple
    kernel versions too.
  * Add kernel-names to list the image names on various architectures.
  * Reorganized the modules directory for multi-arch support.
  * Copied in the modules lists from kernel-image-2.4.22-alpha-udeb 2.4.22-3.
  * Added .lnk symlink system to work around CVS.
  * Factored out common modules into modules/common, with symlinks.
  * Replayed my modules changes since I took over this package into the
    alpha modules where appropriate:
    - Add alpha/ide-core-modules.
    - Added all the PCI cards I could find to alpha/nic-extra-modules:
      3c59x, e100, e1000, natsemi, ne, ne2k-pci, sis900, via-rhine,
      winbond-840, orinoco_pci, ni65, sk98lin, hamachi, olympic, typhoon,
      starfire, lanstreamer, sundance, abyss, aironet4500_card, dl2k,
      ns83820, 8139cp, fealnx, tmspci, amd8111e, r8169, eepro100.
      (Er, I hope this still fits wherever.)
    - Remove scsi_debug modules from alpha/scsi-modules.
    - Broke out some uncommon SCSI modules (for tape, raid, etc)
      to a alpha/scsi-extra-modules. Should not be needed to get to a cdrom.
    - Moved sr_mod.o from alpha/scsi-core-modules to alpha/scsi-modules,
      and broke cdrom.o out into cdrom-core-modules.
    (Did not change alpha/nic-modules; the common cards vary by arch.)
    (Did not add firewire, or make pcmcia changes; no known demand.)
  * Add NCR53c406a to alpha/scsi-modules.
  * Remove drivers/scsi/pcmcia directory from alpha/scsi-modules for now.
  * Add (empty) kernel-image files to the modules lists directories.
    Removes some special cases..
  * Elide dependencies from package-lists if the depended-upon package
    will not be built for the target arch.
  * Update docs, but they're still just a brain-dump.
  * Add support for cross "compiling".
  * Change MODDIR to SOURCEDIR and take the kernel from there too.
  * Add my build-all script.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Oct 2003 16:13:06 -0400

linux-kernel-di (0.7) unstable; urgency=low

  * Add duplicate module finding script.
  * Remove duplicate module sis900 from nic-extra-modules.
  * Both nic-modules and nic-extra-modules need isa-pnp-modules.
  * scsi-modules needs parport-modules.
  * Changed many modules to priority standard, to ensure they are available
    automatically during eg, CDROM installs.
  * Rewrote modules.dep parser in perl, make it work even if modules.dep
    has been relocated.
  * Add MODDIR which allows overridding of the directory it takes modules
    from.
  * Don't pass version into copy-modules via exported env variable, move it
    to $2.
  * Doc updates.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Oct 2003 20:37:00 -0400

linux-kernel-di (0.6) unstable; urgency=low

  * The isapnp-modules dep moved from nic-modules to nic-extra-modules.
  * Simplified the rules file some more.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Oct 2003 00:51:54 -0400

linux-kernel-di (0.5) unstable; urgency=low

  * Remove scsi_debug modules from scsi-modules.
  * Broke out some uncommon SCSI modules (for tape, raid, pcmcia scsi, etc)
    to a scsi-extra-modules. Should not be needed to get to a cdrom.
  * Move copy-modules down a directory.
  * Add a README.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Oct 2003 00:46:57 -0400

linux-kernel-di (0.4) unstable; urgency=low

  * Add firewire-core-modules, for firewire CDROMs, disks.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Oct 2003 20:08:48 -0400

linux-kernel-di (0.3) unstable; urgency=low

  * Added all the PCI and especially gigabit cards I could find to
    nic-extra-modules: lance, de4x5, sis900, ni65, sk98lin,
    hamachi, olympic, typhoon, starfire, lanstreamer, sundance, abyss,
    aironet4500_card, dl2k, ns83820, 8139cp, fealnx, tmspci, amd8111e, r8169.
    Still plenty of room on the driver floppy.
  * Add com20020_cs, ibmtr_cs to nic-pcmcia-modules, to complete the set.
  * Add orinoco_pci to nic-modules, and put hermes and orinoco in
    nic-shared-modules.
  * Add eepro100 to nic-extra-modules, it's redundant with e100, but just in
    case.
  * Add TODO.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Oct 2003 23:35:18 -0400

linux-kernel-di (0.2) unstable; urgency=low

  * Remove ide-core from modules/ide-modules.
  * Fix ordering of ide-modules entry in module-deps, which must be
    pre-sorted.
  * Broke out a fat-modules udeb that has vfat and fat support in it,
    used to be in floppy-modules.
  * Stop using a fifo in copy-modules when a pipe will do.

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Oct 2003 22:48:34 -0400

linux-kernel-di (0.1) unstable; urgency=low

  * New maintainer, taking over from Herbert Xu. Thanks for all your good
    work, Herbert!
  * Add myself to uploaders, set d-i as primary maintainer.
  * This package is now in d-i cvs. It will eventually be used for all
    linux kernel udebs for all architectures. For now, it is i386 only;
    alpha is next.
  * Rename source package from kernel-image-2.4.22-i386-udeb to
    linux-kernel-di.
  * Change to a native version number, that does not track a kernel version.
  * Renamed all the udebs, replacing "-udeb" in the package name with "-di".
  * Add ide-core-modules, also needed by usb-storage-modules.
  * Make scsi-modules depend on scsi-core-modules.
  * Add a copyright file!
  * Update to debhelper v4.
  * Remove boilerplate comments from debian/rules.
  * Remove standards-version from control, udebs are not standards compliant.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2003 22:14:42 -0400

kernel-image-2.4.22-i386-udeb (2.4.22-3) unstable; urgency=low

  * Created scsi-core-modules for usb-storage-modules.

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Oct 2003 20:08:20 +1000

kernel-image-2.4.22-i386-udeb (2.4.22-2) unstable; urgency=low

  * Added eepro to nic-extra-modules (closes: #211727).
  * Added crc32 to nic-shared-modules explicitly.
  * Added loop to floppy-modules.
  * Added mii to nic-shared-modules.
  * Made nic-pcmcia-modules depend on nic-shared-modules.
  * Added common modules to nic-pcmcia-modules.

 -- Herbert Xu <herbert@debian.org>  Sun, 28 Sep 2003 14:08:39 +1000

kernel-image-2.4.22-i386-udeb (2.4.22-1) unstable; urgency=low

  * New upstream release.
  * Updated IDE module names for 2.4.22.
  * Added ehci-hcd to usb-modules.
  * Added usb-storage-modules (closes: #209229).

 -- Herbert Xu <herbert@debian.org>  Fri, 12 Sep 2003 20:07:47 +1000

kernel-image-2.4.21-1-i386-udeb (2.4.21-2) unstable; urgency=low

  * Built against 2.4.21-5.
  * Added DAC960/cciss/cpqarray/cpqfc to scsi-modules (closes: #205557).
  * Added reiserfs-modules.
  * Added pcmcia udebs (Joey Hess, closes: #202168).

 -- Herbert Xu <herbert@debian.org>  Tue, 26 Aug 2003 20:37:05 +1000

kernel-image-2.4.21-1-i386-udeb (2.4.21-1) unstable; urgency=low

  * New upstream release.
  * Added fusion drivers to scsi-modules (closes: #194617).
  * Added IDE PCI modules to ide-modules.
  * Updated paths of USB host modules.

 -- Herbert Xu <herbert@debian.org>  Tue, 17 Jun 2003 21:00:06 +1000

kernel-image-2.4.20-1-i386-udeb (2.4.20-8) unstable; urgency=low

  * Renamed nic-modules-* to nic-*-modules.

 -- Herbert Xu <herbert@debian.org>  Sat, 10 May 2003 10:50:16 +1000

kernel-image-2.4.20-1-i386-udeb (2.4.20-7) unstable; urgency=low

  * Added dpt_i2o.o to scsi-modules (closes: #186731).
  * Put RAID and LVM modules in md-modules (closes: #185606).
  * Added e100/e1000/sis900/tg3 to nic-modules (closes: #185518).

 -- Herbert Xu <herbert@debian.org>  Wed,  9 Apr 2003 20:02:09 +1000

kernel-image-2.4.20-1-i386-udeb (2.4.20-6) unstable; urgency=low

  * Included modules.dep file in kernel-image-udeb.
  * Added input-modules (closes: #185654).
  * Added irda-modules (closes: #185807).
  * Added parport-modules (closes: #185856).

 -- Herbert Xu <herbert@debian.org>  Fri, 28 Mar 2003 20:06:24 +1100

kernel-image-2.4.20-i386-udeb (2.4.20-5) unstable; urgency=low

  * Added fb-modules.

 -- Herbert Xu <herbert@debian.org>  Sat,  1 Mar 2003 14:40:53 +1100

kernel-image-2.4.20-i386-udeb (2.4.20-4) unstable; urgency=low

  * Added brltty-modules and usb-modules.

 -- Herbert Xu <herbert@debian.org>  Tue, 18 Feb 2003 19:32:48 +1100

kernel-image-2.4.20-i386-udeb (2.4.20-3) unstable; urgency=low

  * Added lvm-modules package.

 -- Herbert Xu <herbert@debian.org>  Sun,  9 Feb 2003 12:26:15 +1100

kernel-image-2.4.20-i386-udeb (2.4.20-2) unstable; urgency=low

  * Added ext3-modules package (closes: #173386).

 -- Herbert Xu <herbert@debian.org>  Sat, 21 Dec 2002 20:19:00 +1100

kernel-image-2.4.20-i386-udeb (2.4.20-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun,  1 Dec 2002 16:03:56 +1100

kernel-image-2.4.19-i386-udeb (2.4.19-5) unstable; urgency=low

  * Fixed i386 lcall DoS (Petr Vandrovec).
  * Added vfat.o to floppy-modules (closes: #170744).

 -- Herbert Xu <herbert@debian.org>  Tue, 26 Nov 2002 19:09:57 +1100

kernel-image-2.4.19-i386-udeb (2.4.19-4) unstable; urgency=low

  * Moved udebs to standalone source package.
  * Renamed packet-socket udeb to socket-modules.
  * Added unix.o to socket-modules (closes: #163748).
  * Added aacraid to scsi-modules udeb (closes: #166031).
  * Added ipv6 udeb (closes: #167922).

 -- Herbert Xu <herbert@debian.org>  Thu,  7 Nov 2002 19:11:17 +1100

kernel-image-2.4.19-i386 (2.4.19-3) unstable; urgency=low

  * Added pcnet32 to nic-modules-extra.
  * Depend on modutils 2.4.19 due to new binutils (closes: #163011).
  * Turned CONFIG_VIDEO_SELECT off.

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Oct 2002 17:18:33 +1000

kernel-image-2.4.19-i386 (2.4.19-2) unstable; urgency=low

  * Built against kernel-source 2.4.19-2.
  * Added kernel-image-2.4-* packages.
  * Enabled CONFIG_ACPI as a module (closes: #159253).
  * Enabled HIGHMEM4G on 686, 686-smp and k7 (closes: #143575, #161124).
  * Enabled CONFIG_IDEDMA_PCI_AUTO.
  * Added k7-smp flavour (closes: #141743).
  * Added floppy-modules udeb (closes: #156570).
  * Enabled CONFIG_AIC7XXX_PROBE_EISA_VL.

 -- Herbert Xu <herbert@debian.org>  Sat, 28 Sep 2002 17:50:52 +1000

kernel-image-2.4.19-i386 (2.4.19-1) unstable; urgency=low

  * New upstream release.
  * Call dh_installdocs for kernel-pcmcia-modules (closes: #144953).
  * Enabled sunhme (closes: #150813).
  * Updated dependency versioned on initrd-tools since 2.4.19 broke modprobe
    inside the initrd.

 -- Herbert Xu <herbert@debian.org>  Thu,  8 Aug 2002 20:07:30 +1000

kernel-image-2.4.18-i386 (2.4.18-5) unstable; urgency=low

  * Built against kernel-source 2.4.18-5.
  * Added replaces header for kernel-pcmcia-modules (closes: #140719).
  * Enabled MTD devices (closes: #139316).

 -- Herbert Xu <herbert@debian.org>  Sun, 14 Apr 2002 10:06:38 +1000

kernel-image-2.4.18-i386 (2.4.18-4) unstable; urgency=high

  * Built against kernel-source 2.4.18-4.

 -- Herbert Xu <herbert@debian.org>  Wed, 20 Mar 2002 20:10:26 +1100

kernel-image-2.4.18-i386 (2.4.18-3) unstable; urgency=high

  * Build 4.1 DRM modules instead of 4.0 ones (closes: #138382).

 -- Herbert Xu <herbert@debian.org>  Fri, 15 Mar 2002 19:45:22 +1100

kernel-image-2.4.18-i386 (2.4.18-2) unstable; urgency=high

  * Built against kernel-source 2.4.18-3.
  * Added dependency on modutils-* to kernel-image-udeb (closes: #136743).
  * Per request from PCMCIA maintainer:
   . Moved PCMCIA modules back again.
   . Split PCMCIA modules into their own packages.

 -- Herbert Xu <herbert@debian.org>  Wed, 13 Mar 2002 21:34:25 +1100

kernel-image-2.4.18-i386 (2.4.18-1) unstable; urgency=low

  * New upstream release.
  * Built with kernel-package 7.80 (closes: #128665).
  * Added note about Pentium IV in -686* packages (closes: #134213).
  * Disabled ACORN_PARTITION_POWERTEC as it's too aggresive (closes: #129373).
  * Moved PCMCIA modules to kernel-pcmcia-$(version) (closes: #128662).

 -- Herbert Xu <herbert@debian.org>  Thu, 28 Feb 2002 21:52:37 +1100

kernel-image-2.4.17-i386 (2.4.17-1) unstable; urgency=low

  * New upstream release.
  * Removed 586 flavour due to lack of interest.
  * Fixed typos in control file (Alexey Mahotkin, Matt Zimmerman,
    closes: #124828).
  * Built with kernel-package 7.75 (closes: 121960).
  * Enabled ATM support (closes: #126130).

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Dec 2001 16:03:32 +1100

kernel-image-2.4.16-i386 (2.4.16-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Wed, 28 Nov 2001 07:44:56 +1100

kernel-image-2.4.15-i386 (2.4.15-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 24 Nov 2001 18:51:38 +1100

kernel-image-2.4.14-i386 (2.4.14-1) unstable; urgency=low

  * New upstream release.
  * Reinstated k7 flavour.

 -- Herbert Xu <herbert@debian.org>  Fri,  9 Nov 2001 20:45:25 +1100

kernel-image-2.4.13-i386 (2.4.13-1) unstable; urgency=low

  * New upstream release.
  * Put nic-modules on a diet.
  * Added nic-modules-shared and nic-modules-extra.
  * Added plip-modules (closes: #116016).
  * Added support for capifs.
  * Increased versioned dependency on initrd-tools for new mkcramfs to work
    around tmpfs bug in 2.4.12.

 -- Herbert Xu <herbert@debian.org>  Sat, 27 Oct 2001 17:56:21 +1000

kernel-image-2.4.12-i386 (2.4.12-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Oct 2001 12:42:42 +1000

kernel-image-2.4.10-i386 (2.4.10-1) unstable; urgency=low

  * New upstream release.
  * Disabled ACORN_PARTITION_ADFS as it's too aggressive.
  * Disable ECN by default.  It's still compiled in though.
  * Added drivers to nic-modules per reqeust from Raphael Hertzog.

 -- Herbert Xu <herbert@debian.org>  Sat, 29 Sep 2001 17:46:10 +1000

kernel-image-2.4.9-i386 (2.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 18 Aug 2001 22:16:41 +1000

kernel-image-2.4.8-i386 (2.4.8-1) unstable; urgency=low

  * New upstream release.
  * Added ide/cdrom/scsi udeb packages.

 -- Herbert Xu <herbert@debian.org>  Sun, 12 Aug 2001 09:36:26 +1000

kernel-image-2.4.7-i386 (2.4.7-1) unstable; urgency=low

  * New upstream release.
  * Recommend the k6 flavour for Duron/Athlon systems (closes: #103656).

 -- Herbert Xu <herbert@debian.org>  Sat, 21 Jul 2001 22:26:43 +1000

kernel-image-2.4.6-i386 (2.4.6-1) unstable; urgency=low

  * New upstream release.
  * Enabled USB_STORAGE_FREECOM (closes: #100674).

 -- Herbert Xu <herbert@debian.org>  Thu,  5 Jul 2001 20:04:24 +1000

kernel-image-2.4.5-i386 (2.4.5-1) unstable; urgency=low

  * New upstream release.
  * Built against new kernel-packages (closes: #93957, #98083).
  * Removed k7 flavour until it works consistently.
  * Integrated the di image (closes: #96220).

 -- Herbert Xu <herbert@debian.org>  Sun, 27 May 2001 14:24:39 +1000

kernel-image-2.4.4-i386 (2.4.4-1) unstable; urgency=low

  * New upstream release.
  * Removed pentium4 for cost/benefit reasons.  Either compile your own or
    use 686.

 -- Herbert Xu <herbert@debian.org>  Sun, 29 Apr 2001 10:53:41 +1000

kernel-image-2.4.3-i386 (2.4.3-2) unstable; urgency=low

  * Removed unnecessary pentiumiii/pentiumiii-smp flavours.
  * Built against kernel-source 2.4.3-4.
  * Built against modified kernel-package which generates correct lilo.conf for
    initrd.

 -- Herbert Xu <herbert@debian.org>  Sun, 22 Apr 2001 11:43:45 +1000

kernel-image-2.4.3-i386 (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * Added versioned dependency on modutils for kernel-image packages
    (closes: #90906).
  * Built with modified kernel-package (closes: #91320, #91326).
  * Disabled CONFIG_VIDEO_ZORAN since it doesn't build with 2.4.3.
  * Exported proc_get_inode (ac patches, closes: #91325).

 -- Herbert Xu <herbert@debian.org>  Mon, 16 Apr 2001 08:39:36 +1000

kernel-image-2.4.2-i386 (2.4.2-1) unstable; urgency=low

  * New upstream release (closes: #83689).
  * Started using initrd (closes: #54292, #65559, #81474).
  * Added build-time dependency on modutils.

 -- Herbert Xu <herbert@debian.org>  Sun, 11 Mar 2001 15:12:53 +1100

kernel-image-2.4.0-test11-i386 (2.4.0-test11-1) unstable; urgency=low

  * New upstream release.
  * Only kernel-headers for now.

 -- Herbert Xu <herbert@debian.org>  Sun, 10 Dec 2000 08:22:07 +1100

kernel-image-2.2.18pre21-i386 (2.2.18pre21-1) stable unstable; urgency=low

  * New upstream release.
  * Build QLOGIC_FC as a module since we're over 1M again.

 -- Herbert Xu <herbert@debian.org>  Sat, 18 Nov 2000 14:50:54 +1100

kernel-image-2.2.17-i386 (1:2.2.17-1) stable unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat,  9 Sep 2000 12:25:28 +1100

kernel-image-2.2.17-i386 (2.2.17pre6-1) frozen unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun, 25 Jun 2000 09:17:30 +1000

kernel-image-2.2.16-i386 (2.2.16-1) frozen unstable; urgency=low

  * New upstream release (2.2.16).
  * DAC960 is now built as a module since 2.2.16 puts us over 1M again.

 -- Herbert Xu <herbert@debian.org>  Sun, 18 Jun 2000 15:50:07 +1000

kernel-image-2.2.15-i386 (1:2.2.15-2) frozen unstable; urgency=low

  * Rebuilt with kernel-source 2.2.15-3.

 -- Herbert Xu <herbert@debian.org>  Thu,  1 Jun 2000 10:13:30 +1000

kernel-image-2.2.15-i386 (1:2.2.15-1) frozen unstable; urgency=low

  * New upstream release (2.2.15-2).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 May 2000 10:00:51 +1000

kernel-image-2.2.15-i386 (2.2.15pre20-1) frozen unstable; urgency=low

  * New upstream release.
  * The kernel version now includes the flavour.

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Apr 2000 15:27:44 +1000

kernel-image-2.2.15-i386 (2.2.15pre19-1) frozen unstable; urgency=low

  * New upstream release.
  * Swapped AM53C974 and DC390T since the former seems to work better
    (closes: #56634).

 -- Herbert Xu <herbert@debian.org>  Fri, 21 Apr 2000 13:36:02 +1000

kernel-image-2.2.14-i386 (2.2.14-4) frozen unstable; urgency=low

  * Enabled CONFIG_NCPFS_NFS_NS and CONFIG_NCPFS_OS2_NS (closes: #61704).
  * Enabled IDESCSI.
  * kernel-image-*-ide is now built as a flavour.

 -- Herbert Xu <herbert@debian.org>  Sun, 16 Apr 2000 13:05:53 +1000

kernel-image-2.2.14-i386 (2.2.14-3) frozen unstable; urgency=low

  * Enabled IP masquerading (closes: #61201).
  * kernel-image-*-ide now has a distinct Description field (closes: #56891).

 -- Herbert Xu <herbert@debian.org>  Mon,  3 Apr 2000 08:34:45 +1000

kernel-image-2.2.14-i386 (2.2.14-2) frozen unstable; urgency=low

  * Enabled ServerRAID (closes: #52597).
  * Enabled DAC960 (closes: #49863).
  * Enabled CONFIG_FILTER (closes: #50996).
  * Enabled quota support (closes: #60206).

 -- Herbert Xu <herbert@debian.org>  Wed, 22 Mar 2000 15:12:21 +1100

kernel-image-2.2.14-i386 (2.2.14-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sat, 15 Jan 2000 13:13:29 +1100

kernel-image-2.2.13-i386 (2.2.13-3) unstable; urgency=low

  * Added an ide subarch (closes: #50908).

 -- Herbert Xu <herbert@debian.org>  Thu,  2 Dec 1999 00:30:15 +1100

kernel-image-2.2.13-i386 (2.2.13-2) unstable; urgency=low

  * Initial release.
  * Disabled CONFIG_APM_RTC_IS_GMT (closes: #48503).
  * Enabled Unix98 ptys (closes: #49723).
  * Turned initrd back on as it was accidentally disabled (closes: #50109).
  * Downgraded CONFIG_SCSI_AM53C974 to a module (closes: #49559).
  * Enabled Stallion drivers as modules.

 -- Herbert Xu <herbert@debian.org>  Fri, 19 Nov 1999 21:56:37 +1100
